Bug 1096487 - X session exits to screen lacking any kind of text
Summary: X session exits to screen lacking any kind of text
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 27
Hardware: i386
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-11 04:12 UTC by Felix Miata
Modified: 2018-11-30 17:32 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 17:32:01 UTC


Attachments (Terms of Use)
Xorg.0.log (53.12 KB, text/plain)
2014-05-11 04:12 UTC, Felix Miata
no flags Details
Xorg.0.log from NV11 & nouveau (47.78 KB, text/plain)
2014-07-03 04:31 UTC, Felix Miata
no flags Details

Description Felix Miata 2014-05-11 04:12:59 UTC
Created attachment 894372 [details]
Xorg.0.log

Steps to Reproduce:
1.boot to multi-user
2.log in on e.g. tty3
3.startx
4.log out

Actual results:
1.empty black screen

Expected results:
1.normal screen with shell prompt at the ready

Additional info:
1.I've upgraded several SiS, Intel, NVidia and Radeon Rawhide systems in recent days. Only the two with rv200 AGP cards exhibit this.
2.Switching to a different tty, then back, produces what was originally expected on the startx screen on X session exit, and normal function.
3..xsession-errors is not produced.
4.Same systems running freshly updated F20 behave normally, same as non-rv200 installations, and on openSUSE Factory with xf86-video-ati-7.3.0.1-41.9 & xorg-x11-server-7.6_1.15.99.902.2-315.4.

Comment 1 Felix Miata 2014-07-03 04:31:33 UTC
Created attachment 914346 [details]
Xorg.0.log from NV11 & nouveau

This is now happening with nouveau and NV11 on host kt880.
VGA compatible controller: NVIDIA Corporation NV11 [GeForce2 MX/MX 400] (rev a1)
3.16.0-0.rc3.git1.1.fc21.i686+PAE #1 SMP Tue Jul 1 13:08:01 UTC 2014 i686 i686 i386 GNU/Linux
xorg-x11-server-Xorg-1.15.99.903-2.fc21.i686
xorg-x11-drv-nouveau-1.0.10-5.fc21.i686

Comment 2 Felix Miata 2014-09-04 10:20:54 UTC
Still happening on comment 0 system, in both F21 and Rawhide. Cauldron is doing it too, but Factory and Mageia 4 are not.

Comment 3 Felix Miata 2014-10-17 22:34:44 UTC
Still happening:
host gx27b
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV200 [Radeon 7500/7500 LE]
xorg-x11-drv-ati-7.5.0-1.fc21.i686
xorg-x11-server-Xorg-1.16.1-1.fc21.i686
kde-workspace-4.11.13-1.fc21.i686

Comment 4 Felix Miata 2015-01-29 03:07:17 UTC
Still happening:
host gx27b
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV200 [Radeon 7500/7500 LE]
xorg-x11-drv-ati-7.5.0-1.fc22.i686
xorg-x11-server-Xorg-1.16.2-901-1.fc22.i686
kde-workspace-4.11.15-3.fc22.i686

Not a problem on 64 bit host gx62b with i945G video.

Comment 5 Jaroslav Reznik 2015-03-03 15:48:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Felix Miata 2015-04-10 01:15:35 UTC
This continues in F22 and Rawhide with rv200  on host gx27b.

Comment 7 Felix Miata 2015-04-16 08:09:14 UTC
This continues in F22 and Rawhide with rv200  on host gx270.

Comment 8 Felix Miata 2015-04-22 05:26:06 UTC
Now that KF5 works on Athlon I see this continues on rv200 host m7ncd in both F22 and Rawhide.

Comment 9 Felix Miata 2015-05-22 02:42:54 UTC
Upstream bug filed: https://bugs.freedesktop.org/show_bug.cgi?id=90572

Comment 10 Jan Kurik 2015-07-15 14:40:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 11 Felix Miata 2015-09-13 02:55:46 UTC
still happening in 24 rawhide with 4.3.0rc kernel

Comment 12 Jan Kurik 2016-02-24 15:40:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 13 Felix Miata 2017-04-05 11:20:38 UTC
This happens with rv370 radeon host gx28b on F25, server 1.9.3, kernel 4.10.8.

Comment 14 Felix Miata 2017-06-20 03:12:50 UTC
This continues on rv200 host gx27b in Fedora 26 with kernel 4.11.5-300, server 1.19.3, ati driver 7.9.0-1.

Comment 15 Felix Miata 2017-10-22 07:22:34 UTC
Still happening in F27 on host gx27b. Upstream bug updated.

Comment 16 Ben Cotton 2018-11-27 18:22:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Felix Miata 2018-11-28 08:00:25 UTC
Apparently fixed on host gx27b in F27, F28 and F29 (rv200 Radeon 7500).

Comment 18 Ben Cotton 2018-11-30 17:32:01 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.